Activity log for bug #1542417

Date Who What changed Old value New value Message
2016-02-05 17:17:29 Rudolf Vriend bug added bug
2016-02-05 17:20:01 Rudolf Vriend keystone: assignee Rudolf Vriend (rudolf-vriend)
2016-02-05 19:00:46 OpenStack Infra keystone: status New In Progress
2016-02-05 19:17:39 Rudolf Vriend description The LDAP backend supports mapping between LDAP and keystone user attributes via the 'user_<attribute>_name' settings in the ldap driver configuration. The implementation is incomplete, since there is no support for specifying a 'user_description_attribute' setting. As long as the LDAP attribute name is 'description', one could specify a 1:1 'user_additional_attribute_mapping = description:description' mapping as a workaround, which would yield the desired result. In case a users full name is stored in a different attribute (as with many AD backends where the users full name is contained in the 'displayName' attribute) there is no way to specify this mapping and results in users having no description. The LDAP backend supports mapping between LDAP and keystone user attributes via the 'user_<attribute_name>_attribute' settings in the ldap driver configuration. The implementation is incomplete, since there is no support for specifying a 'user_description_attribute' setting. As long as the LDAP attribute name is 'description', one could specify a 1:1 'user_additional_attribute_mapping = description:description' mapping as a workaround, which would yield the desired result. In case a users full name is stored in a different attribute (as with many AD backends where the users full name is contained in the 'displayName' attribute) there is no way to specify this mapping and results in users having no description.
2016-02-05 20:05:37 Rudolf Vriend summary ldap backend lacks support for user_description_attribute mapping LDAP backend lacks support for user_description_attribute mapping
2016-02-07 07:03:15 Steve Martinelli keystone: importance Undecided Wishlist
2016-02-18 06:53:09 Steve Martinelli keystone: importance Wishlist Medium
2016-02-18 17:30:48 Steve Martinelli keystone: milestone mitaka-3
2016-02-19 00:20:39 OpenStack Infra keystone: status In Progress Fix Released